Get download link for an export file
curl --request GET \
--url https://backendapi.corbado.io/v2/exports/{exportType}/{filename}/downloadLink \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://backendapi.corbado.io/v2/exports/{exportType}/{filename}/downloadLink"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://backendapi.corbado.io/v2/exports/{exportType}/{filename}/downloadLink', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"link": "<string>"
}{
"httpStatusCode": 123,
"message": "OK",
"requestData": {
"requestID": "req-557...663",
"link": "https://my.corbado.com/requests/req-xxxxxxxxxxxxxxxxxxx"
},
"runtime": 0.06167686,
"error": {
"type": "<string>",
"details": "<string>",
"validation": [
{
"field": "<string>",
"message": "<string>"
}
],
"links": [
"<string>"
]
},
"data": {}
}Exports
Get download link for an export file
Generates a pre-signed download link for a specific export file.
GET
/
exports
/
{exportType}
/
{filename}
/
downloadLink
Get download link for an export file
Authorizations
Basic authentication is used to authenticate requests to the Backend API. The username is the project ID and the password is the API secret.
The project ID and API secret can be found in the Developer Panel.
Path Parameters
Type of export to download
Available options:
credentials, connect-timeseries Name of the export file
Response
Pre-signed download link
Was this page helpful?
⌘I